package edu.whs.spin2018.baoapp.presenter;

public interface BasePresenter<T> {

    /**
     * Stoppt den Presenter
     */
    void stop();

    /**
     * Setzt einen ServiceInteractor fuer den Presenter um mit dem Server kommunizieren zu könnne
     *
     * @param interactor - Interactor fuer den Presenter
     */
    void setzeServiceInteractor(T interactor);
}
